OpenObserve Docs
ReferenceApiUsers

List users

Updated View MarkdownOpen in ChatGPTOpen in Claude

Endpoint: GET /api/{organization}/users

Request

None

Response

{
	"data": [
		{
			"email": "admin@example.com",
			"first_name": "ming",
			"last_name": "xing",
			"role": "admin",
			"is_external": false,
			"created_at": 1717400000000000
		}
	]
}

Description

Field nameData typeDefault valueDescription
emailstring-user email
first_namestring-first name
last_namestring-last name
rolestring-user role: admin, editor, viewer, user, service_account or root
is_externalboolfalsetrue for users created through SSO/LDAP
created_atint64-creation time
Was this page helpful?

On this page